Bug 29201 - biblio_framework missing form list of runtime parameters when editing SQL reports
Summary: biblio_framework missing form list of runtime parameters when editing SQL rep...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 27644
Blocks:
  Show dependency treegraph
 
Reported: 2021-10-10 11:57 UTC by Katrin Fischer
Modified: 2022-06-06 20:24 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 29201: Add option to insert biblio_framework runtime parameter in SQL report (2.60 KB, patch)
2021-10-28 12:01 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29201: Add option to insert biblio_framework runtime parameter in SQL report (2.67 KB, patch)
2021-10-28 16:59 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 29201: Add option to insert biblio_framework runtime parameter in SQL report (2.73 KB, patch)
2021-10-31 00:24 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2021-10-10 11:57:30 UTC
There is a runtime parameter biblio_framework documented in the manual that is not showing up as an option in the new'ish pull down for adding runtime parameters to reports.
Comment 1 Owen Leonard 2021-10-28 12:01:48 UTC
Created attachment 127045 [details] [review]
Bug 29201: Add option to insert biblio_framework runtime parameter in SQL report

This patch modifies the SQL report creation process so that the list of
runtime parameters includes an option for bibliographic framework.

To test, apply the patch and go to Reports -> Create from SQL.

- Click the "Insert runtime parameter" menu button and select
  "Bibliographic framework."
- You should be shown a modal dialog in which you can change the label
  on the framework input.
- Click "Insert parameter." The SQL field should now contain the correct
  parameter, e.g. <<Framework|biblio_framework>>
- Use the parameter to define an SQL query, e.g.

  "SELECT * FROM biblio WHERE frameworkcode =
  <<Framework|biblio_framework>> LIMIT 10"

- Run the report. You should be asked to choose a framework. Confirm
  that the report runs correctly.
Comment 2 Andrew Fuerste-Henry 2021-10-28 16:59:17 UTC
Created attachment 127067 [details] [review]
Bug 29201: Add option to insert biblio_framework runtime parameter in SQL report

This patch modifies the SQL report creation process so that the list of
runtime parameters includes an option for bibliographic framework.

To test, apply the patch and go to Reports -> Create from SQL.

- Click the "Insert runtime parameter" menu button and select
  "Bibliographic framework."
- You should be shown a modal dialog in which you can change the label
  on the framework input.
- Click "Insert parameter." The SQL field should now contain the correct
  parameter, e.g. <<Framework|biblio_framework>>
- Use the parameter to define an SQL query, e.g.

  "SELECT * FROM biblio WHERE frameworkcode =
  <<Framework|biblio_framework>> LIMIT 10"

- Run the report. You should be asked to choose a framework. Confirm
  that the report runs correctly.

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 3 Katrin Fischer 2021-10-31 00:24:39 UTC
Created attachment 127117 [details] [review]
Bug 29201: Add option to insert biblio_framework runtime parameter in SQL report

This patch modifies the SQL report creation process so that the list of
runtime parameters includes an option for bibliographic framework.

To test, apply the patch and go to Reports -> Create from SQL.

- Click the "Insert runtime parameter" menu button and select
  "Bibliographic framework."
- You should be shown a modal dialog in which you can change the label
  on the framework input.
- Click "Insert parameter." The SQL field should now contain the correct
  parameter, e.g. <<Framework|biblio_framework>>
- Use the parameter to define an SQL query, e.g.

  "SELECT * FROM biblio WHERE frameworkcode =
  <<Framework|biblio_framework>> LIMIT 10"

- Run the report. You should be asked to choose a framework. Confirm
  that the report runs correctly.

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2021-11-03 14:31:59 UTC
Pushed to master for 21.11, thanks to everybody involved!